de.esprit.netsuite.server.auth

## Interface UserAuthenticator

- All Known Subinterfaces:
    UserManager<S>
  All Known Implementing Classes:
    AbstractUserManager, DBUserManager, DefaultUserManager

      public interface UserAuthenticator

  An instance of this interface is supposed to verify the user login data.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changePassword(SessionId callerSessId, java.lang.String userName, java.lang.String oldPasswordDigest, java.lang.String newPasswordDigest)` Verifies the old password and sets the new one.
    `User` | `findUserForLogin(LoginData data)` Verifies user login data and returns a UserId on success.
    `void` | `resetPassword(SessionId callerSessId, User user, boolean isClear)` Resets the password for the given User to the system default user password as configured in the srv_params.cfg file.
    `void` | `setDefaultUserPassword(SessionId callerSessId, java.lang.String encryptedPassword)` Sets the system default password for new users

- - ### Method Detail

    - #### findUserForLogin

          User findUserForLogin(LoginData data)
                                throws InvalidLoginException

      Verifies user login data and returns a UserId on success. Must throw an Exception if the user does not exist.
      Throws:
        `InvalidLoginException`

    - #### changePassword

          void changePassword(SessionId callerSessId,
                            java.lang.String userName,
                            java.lang.String oldPasswordDigest,
                            java.lang.String newPasswordDigest)
                              throws java.lang.Exception

      Verifies the old password and sets the new one. An Exception is thrown if the old password does not match the current password or if the new password does not match your password rules. Note that the user password is being removed when no new password is given.
      Throws:
        `java.lang.Exception`

    - #### resetPassword

          void resetPassword(SessionId callerSessId,
                           User user,
                           boolean isClear)
                             throws java.lang.Exception

      Resets the password for the given User to the system default user password as configured in the srv_params.cfg file.
      Throws:
        `java.lang.Exception`

    - #### setDefaultUserPassword

          void setDefaultUserPassword(SessionId callerSessId,
                                    java.lang.String encryptedPassword)
                                      throws java.lang.Exception

      Sets the system default password for new users
      Throws:
        `java.lang.Exception`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.